Függőségek automatikus összegyűjtése

Az alábbi lista azokat a függőségi hívásokat tartalmazza, amelyek automatikusan függőségként vannak észlelve anélkül, hogy az alkalmazás kódját bármilyen további módosításra lenne szükség. Ezek a függőségek az Alkalmazástérkép és a Application Insights-diagnosztikai nézetekben vannak ábrázolva. Ha a függősége nem szerepel az alábbi listán, manuálisan is nyomon követheti a függőség nyomon követése hívással.

.NET

Alkalmazás-keretrendszerek Verziók
ASP.NET webes formátumok 4.5+
ASP.NET, MVC 4+
ASP.NET WebAPI 4.5+
ASP.NET Core 1.1+
Kommunikációs kódtárak
HttpClient 4.5+, .NET Core 1.1+
SqlClient .NET Core 1.0+, NuGet 4.3.0
Microsoft.Data.SqlClient 1.1.0 – a legújabb stabil kiadás. (Lásd alább a Megjegyzést.)
EventHubs ügyféloldali SDK 1.1.0
ServiceBus ügyfél-SDK 3.0.0
Storage-ügyfelek
ADO.NET 4.5+

Megjegyzés

A Microsoft.Data.SqlClient régebbi verzióinak van egy ismert problémája. Javasoljuk, hogy a probléma megoldásához az 1.1.0-s vagy újabb kiadást használja. Entity Framework Core nem feltétlenül rendelkezik a Microsoft.Data.SqlClient legújabb stabil kiadásával, ezért javasoljuk, hogy a probléma elkerülése érdekében győződjön meg arról, hogy legalább 1.1.0-s verzióval rendelkezik.

Java

Alkalmazáskiszolgálók Verziók
Tomcat 7, 8
JBoss EAP 6, 7
Jetty 9
Alkalmazás-keretrendszerek
Spring 3.0
Spring Boot 1.5.9+*
Java Servlet 3.1+
Kommunikációs kódtárak
Apache HTTP-ügyfél 4.3+
Storage-ügyfelek
SQL Server 1+
PostgreSQL (bétaverziós támogatás)
Oracle 1+
Mysql 1+
Naplózási kódtárak
Logback 1+
Log4j 1.2+
Metrikakódtárak
JMX 1.0+

Megjegyzés

*A reaktív programtámogatás kivételével.
†A JVM-ügynök telepítésének igénylése.

Node.js

Kommunikációs kódtárak Verziók
HTTP, HTTPS 0.10+
Storage-ügyfelek
Redis 2.x
MongoDb; MongoDb Core 2.x – 3.x
MySQL 2.0.0 – 2.16.x
PostgreSql; 6.x – 7.x
pg-pool 1.x – 2.x
Naplózási kódtárak
Konzol 0.10+
Bunyan 1.x
Winston 2.x – 3.x

JavaScript

Kommunikációs kódtárak Verziók
XMLHttpRequest Mind

Következő lépések